#!/bin/sh

# Usage: check_keyserver m/s host
# m/s: 0 -> master, 1 -> slave

result=`/usr/local/monitoring/princeton/ksping_linux -t $1 $2`

case $? in
0)
	echo OK: $result
	exit 0
	;;

[367])
	echo CRITICAL: $result
	exit 2
	;;

*)
	echo UNKNOWN: $result
	exit 3;
	;;

esac

